Subject: [ANNOUNCE] dosemu 0.48 patch1 released
From: [email-masked] (Howlin' Bob)
Date: Fri, 19 Feb 1993 04:57:25 GMT
Newsgroups: comp.os.linux.announce

Friends,

Well, this is the promised patch to dosemu 0.48.  The main issue here is
the XMS bug that could freeze your machine :-(.  That was easy to fix.
I have moved libemu up to the 1 GB mark in memory, so only those of you
with truly staggering amounts of memory/disk space should have any problem,
and since I have only 4 megs in my machine, I am inclined to bitterly
think that you DESERVE such problems.

   And I've started to speed up the non-console video mode.  This patch
should make non-console output faster in most cases; there might be some
new display quirks, too, as this is my first try at it.  Basically, it
keeps a copy of the previously updated screen tucked away in a buffer,
and only refreshes the lines that have changed...this is still
suboptimal, as I can really speed up scrollup() and scrolldn(), as
well as some other areas.  But it's a start.  

   I'd like those ofyou computationally underpriveliged (i.e. 386sx16's or
so) to tell me how the added computational burden affects your system.
I basically end up doing at most 25 memcmp()'s and 25 memcpy()'s
of 160 bytes each every 1/5 second (a pathological case), but it still seems
better than flushing the entire screen every 1/5 second (another
pathological case). 

  If non-console mode output still seems too slow for you, I'd suggest using
console video instead.  I know this isn't possible for some of you,
but with XFree86 1.2 out now, it's a much more viable option.  I'm
still looking into using alternate character sets and a smarter attribute->
termcap string translation, though, so don't feel abandoned.

It seems that a lot of you are using DOSEMU to do your taxes...if I'd
known that, maybe I'd be spending my time on a finance program instead.
Oh, well.

I'm trying to add new functionality to DOSEMU in a modular way.  This
way, other DOS emulator flavors such as xdosemu from Edward Der-Hua Liu can
easily absorb my changes (that is, until I absorb theirs).  The CMOS and XMS
files in dosemu 0.48 are the first "modules" so far, both having minimal
"hooks" into emu.c.

You can get the patch as 0.48.patch1.Z on tsx-11.mit.edu in 
/pub/linux/ALPHA/dosemu.

Changes from dosemu 0.48 to 0.48p1
----------------------------------
- fixed XMS bug that could overwrite libemu in RAM and crash the emulator
  REALLY REALLY hard.  XMS should be almost totally safe now.
- increases number of XMS handles to 64
- allows keyboard "polling" from non-RAW modes, too (a mistake in 0.48)
- speedup to non-console video modes: only altered lines are output
  (should be significantly faster for most cases)
- CMOS Real Time Clock now properly returns time/date in BCD
- in RAW keyboard mode, the F11, F12, and numeric keypad keys are again
  properly handled
- some fixes to get Wing Commander running

Robert Sanders
[email-masked]

P.S. I didn't really get Wing Commander running.

-- 
Send submissions for comp.os.linux.announce to: [email-masked]